> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Payment Instruction by id

> Retrieve a Payment Instruction by its unique identification. Returns 404 if the Payment Instruction does not exist.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json get /v1/identities/{identityId}/payment-instructions/{paymentInstructionId}
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/identities/{identityId}/payment-instructions/{paymentInstructionId}:
    get:
      tags:
        - Payment Instructions
      summary: Get a Payment Instruction by id
      description: >-
        Retrieve a Payment Instruction by its unique identification. Returns 404
        if the Payment Instruction does not exist.
      operationId: PaymentInstructionsController_getPaymentInstruction
      parameters:
        - name: identityId
          required: true
          in: path
          schema:
            type: string
        - name: paymentInstructionId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved Payment Instruction data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentInstructionEntity'
        '404':
          description: The Payment Instruction with the specified id does not exist.
      security:
        - bearer: []
components:
  schemas:
    PaymentInstructionEntity:
      type: object
      properties:
        id:
          type: string
        identityId:
          type: string
        name:
          type: string
        paymentMethod:
          allOf:
            - $ref: '#/components/schemas/PaymentMethod'
        currency:
          type: string
          example: USD
        country:
          example: US
          allOf:
            - $ref: '#/components/schemas/CountryCode'
        deleted:
          type: boolean
          default: false
        createdAt:
          format: date-time
          type: string
        details:
          oneOf:
            - $ref: '#/components/schemas/USDetailsEntity'
              title: US Details (ACH and Wire)
            - $ref: '#/components/schemas/IbanBankDetailsEntity'
              title: Iban Bank Details
            - $ref: '#/components/schemas/BankDetailsEntity'
              title: Bank Details
            - $ref: '#/components/schemas/IdentifierDetailsEntity'
              title: Identifier (PIX)
            - $ref: '#/components/schemas/BrebKeyDetailsEntity'
              title: Bre-B Key (Colombia)
            - $ref: '#/components/schemas/SepaDetailsEntity'
              title: SEPA (Europe)
            - $ref: '#/components/schemas/SwiftDetailsEntity'
              title: Swift Details
            - $ref: '#/components/schemas/MobileMoneyDetailsEntity'
              title: Mobile Money (Africa)
            - $ref: '#/components/schemas/UKFPSDetailsEntity'
              title: UK FPS (Sort Code + IBAN)
      required:
        - id
        - identityId
        - name
        - paymentMethod
        - currency
        - country
        - deleted
        - createdAt
        - details
    PaymentMethod:
      type: string
      enum:
        - ACH
        - Wire
        - Sepa
        - Swift
        - Card
        - MobileMoney
        - PIX
        - TED
        - PSE
        - SPEI
        - COELSA
        - Transfers30
        - SPAV
        - CCE
        - SPI
        - LBTR
        - SINPE
        - Transfer365
        - NIP
        - GhIPSS
        - BankTransfer
        - EFT
        - RTP
        - BECS
        - FPS
        - IMPS_FIRC
        - Breb
        - NPSS
        - MADA
        - ZAHAV
        - IBFT
        - SIC
    CountryCode:
      type: string
      enum:
        - AF
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - CV
        - KH
        - CM
        - CA
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CD
        - CG
        - CK
        - CR
        - HR
        - CU
        - CW
        - CY
        - CZ
        - CI
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - VA
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - KP
        - KR
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - MK
        - RO
        - RU
        - RW
        - RE
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - UM
        - US
        - UY
        - UZ
        - VU
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
        - AX
        - ZZ
    USDetailsEntity:
      type: object
      properties:
        bankName:
          type: string
          nullable: true
          example: Chase
        accountHolderName:
          type: string
          example: John Doe
        bankAccountNumber:
          type: string
          example: '123456789'
          description: >-
            Full bank account number (PII). Nullable / omitted by default.
            Returned only when your organization has been granted access to full
            payment-instruction details. Contact support to enable.
        bankAccountNumberLast4:
          type: string
          example: '6789'
        bankRoutingNumber:
          type: string
          example: '021000021'
        bankAccountType:
          allOf:
            - $ref: '#/components/schemas/BankAccountType'
        recipientRelationship:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/RecipientRelationship'
        address:
          nullable: true
          description: >-
            Beneficiary bank address. The beneficiary's own address is taken
            from the identity.
          type: object
          allOf:
            - $ref: '#/components/schemas/PostalAddressEntity'
        bankSlug:
          type: string
          nullable: true
          deprecated: true
        bankCode:
          type: string
          nullable: true
          deprecated: true
        phone:
          type: string
          nullable: true
          deprecated: true
        taxId:
          type: string
          nullable: true
          deprecated: true
      required:
        - bankName
        - accountHolderName
        - bankAccountNumberLast4
        - bankRoutingNumber
        - bankAccountType
        - recipientRelationship
        - address
        - bankSlug
        - bankCode
        - phone
        - taxId
    IbanBankDetailsEntity:
      type: object
      properties:
        bankSlug:
          type: string
          nullable: true
          example: Chase
        iban:
          type: string
          example: DE89370400440532013000
          description: >-
            Full IBAN (PII). Nullable / omitted by default. Returned only when
            your organization has been granted access to full
            payment-instruction details. Contact support to enable.
        ibanLast4:
          type: string
          example: '3000'
        address:
          nullable: true
          description: Beneficiary bank address.
          type: object
          allOf:
            - $ref: '#/components/schemas/PostalAddressEntity'
        bankAccountNumberLast4:
          type: string
          deprecated: true
          example: '3000'
        bankName:
          type: string
          nullable: true
          deprecated: true
        bankRoutingNumber:
          type: string
          nullable: true
          deprecated: true
        bankCode:
          type: string
          nullable: true
          deprecated: true
        accountHolderName:
          type: string
          nullable: true
          deprecated: true
        bankAccountType:
          nullable: true
          deprecated: true
          allOf:
            - $ref: '#/components/schemas/BankAccountType'
        recipientRelationship:
          nullable: true
          deprecated: true
          allOf:
            - $ref: '#/components/schemas/RecipientRelationship'
        phone:
          type: string
          nullable: true
          deprecated: true
        taxId:
          type: string
          nullable: true
          deprecated: true
      required:
        - bankSlug
        - ibanLast4
        - address
        - bankAccountNumberLast4
        - bankName
        - bankRoutingNumber
        - bankCode
        - accountHolderName
        - bankAccountType
        - recipientRelationship
        - phone
        - taxId
    BankDetailsEntity:
      type: object
      properties:
        bankName:
          type: string
          nullable: true
          example: Chase
        bankSlug:
          type: string
          nullable: true
          example: Chase
        bankAccountNumber:
          type: string
          example: '123456789'
          description: >-
            Full bank account number (PII). Nullable / omitted by default.
            Returned only when your organization has been granted access to full
            payment-instruction details. Contact support to enable.
        bankAccountNumberLast4:
          type: string
          example: '6789'
        localRoutingCode:
          type: string
          nullable: true
          example: '1234567'
        swiftOrBicNumber:
          type: string
          nullable: true
          example: DEUTDEFF
        accountHolderName:
          type: string
          nullable: true
          example: John Doe
        bankAccountType:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/BankAccountType'
        bankAccountNumberType:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/BankAccountNumberType'
        address:
          nullable: true
          description: >-
            Beneficiary bank address. The beneficiary's own address is taken
            from the identity.
          type: object
          allOf:
            - $ref: '#/components/schemas/PostalAddressEntity'
        bankRoutingNumber:
          type: string
          nullable: true
          deprecated: true
          example: '021000021'
        bankCode:
          type: string
          nullable: true
          deprecated: true
          example: '40006'
        phone:
          type: string
          nullable: true
          deprecated: true
        taxId:
          type: string
          nullable: true
          deprecated: true
        recipientRelationship:
          nullable: true
          deprecated: true
          allOf:
            - $ref: '#/components/schemas/RecipientRelationship'
      required:
        - bankName
        - bankSlug
        - bankAccountNumberLast4
        - localRoutingCode
        - swiftOrBicNumber
        - accountHolderName
        - bankAccountType
        - bankAccountNumberType
        - address
        - bankRoutingNumber
        - bankCode
        - phone
        - taxId
        - recipientRelationship
    IdentifierDetailsEntity:
      type: object
      properties:
        identifierType:
          allOf:
            - $ref: '#/components/schemas/PaymentInstructionIdentifierType'
        identifierValue:
          type: string
        address:
          nullable: true
          description: >-
            The address associated with the Identifier Payment Instruction is
            deprecated.
          deprecated: true
          type: object
          allOf:
            - $ref: '#/components/schemas/PostalAddressEntity'
      required:
        - identifierType
        - identifierValue
        - address
    BrebKeyDetailsEntity:
      type: object
      properties:
        brebKey:
          type: string
          description: The Bre-B key value registered for the recipient.
      required:
        - brebKey
    SepaDetailsEntity:
      type: object
      properties:
        bankName:
          type: string
          example: Chase
        bankAccountNumber:
          type: string
          example: '123456789'
          description: >-
            Full bank account number (PII). Nullable / omitted by default.
            Returned only when your organization has been granted access to full
            payment-instruction details. Contact support to enable.
        bankAccountNumberLast4:
          type: string
          example: '6789'
        accountHolderName:
          type: string
          example: John Doe
        swiftOrBicNumber:
          type: string
          example: BNPAFRPPXXX
        accountOwnerType:
          allOf:
            - $ref: '#/components/schemas/BankAccountOwnerType'
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        businessName:
          type: string
          nullable: true
        address:
          nullable: true
          description: >-
            Beneficiary bank address. The beneficiary's own address is taken
            from the identity.
          type: object
          allOf:
            - $ref: '#/components/schemas/PostalAddressEntity'
      required:
        - bankName
        - bankAccountNumberLast4
        - accountHolderName
        - swiftOrBicNumber
        - accountOwnerType
        - firstName
        - lastName
        - businessName
        - address
    SwiftDetailsEntity:
      type: object
      properties:
        accountHolderName:
          type: string
          example: John Doe
        bankAccountNumber:
          type: string
          example: '123456789'
          description: >-
            Full bank account number (PII). Nullable / omitted by default.
            Returned only when your organization has been granted access to full
            payment-instruction details. Contact support to enable.
        bankAccountNumberLast4:
          type: string
          example: '6789'
        swiftOrBicNumber:
          type: string
          example: BNPAFRPPXXX
        address:
          nullable: true
          description: >-
            Beneficiary bank address. Optional; required for SWIFT payouts via
            BlindPay. The beneficiary's own address is taken from the identity.
          type: object
          allOf:
            - $ref: '#/components/schemas/PostalAddressEntity'
        bankName:
          type: string
          nullable: true
          example: Chase
        bankAccountType:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/BankAccountType'
        intermediaryBankName:
          type: string
          nullable: true
        intermediaryBankSwiftOrBicNumber:
          type: string
          nullable: true
        intermediaryBankAddress:
          type: string
          nullable: true
        beneficiaryBankCnapsCode:
          type: string
          nullable: true
        beneficiaryPhone:
          type: string
          nullable: true
        beneficiaryAddressInChinese:
          type: string
          nullable: true
        recipientRelationship:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/RecipientRelationship'
        bankAddress:
          type: string
          nullable: true
          description: >-
            Deprecated. Use the structured `address` field for the beneficiary
            bank address.
          deprecated: true
      required:
        - accountHolderName
        - bankAccountNumberLast4
        - swiftOrBicNumber
        - address
        - bankName
        - bankAccountType
        - intermediaryBankName
        - intermediaryBankSwiftOrBicNumber
        - intermediaryBankAddress
        - beneficiaryBankCnapsCode
        - beneficiaryPhone
        - beneficiaryAddressInChinese
        - recipientRelationship
        - bankAddress
    MobileMoneyDetailsEntity:
      type: object
      properties:
        accountHolderName:
          type: string
        phone:
          type: string
        networkProvider:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/MobileMoneyProvider'
        networkSlug:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/MobileMoneyProvider'
      required:
        - accountHolderName
        - phone
        - networkProvider
        - networkSlug
    UKFPSDetailsEntity:
      type: object
      properties:
        bankName:
          type: string
          nullable: true
          example: Barclays
        bankSlug:
          type: string
          nullable: true
          example: Barclays
        bankAccountNumber:
          type: string
          nullable: true
          example: '12345678'
          description: >-
            Full bank account number (PII). Nullable / omitted by default.
            Returned only when your organization has been granted access to full
            payment-instruction details. Contact support to enable.
        bankAccountNumberLast4:
          type: string
          nullable: true
          example: '5678'
        sortCode:
          type: string
          nullable: true
          example: '601613'
          description: 6-digit UK sort code (derived from IBAN positions 9-14).
        iban:
          type: string
          nullable: true
          example: GB29NWBK60161331926819
          description: >-
            Full IBAN (PII). Nullable / omitted by default. Returned only when
            your organization has been granted access to full
            payment-instruction details. Contact support to enable.
        ibanLast4:
          type: string
          nullable: true
          example: '6819'
        accountHolderName:
          type: string
          nullable: true
          example: Jane Smith
        bankAccountType:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/BankAccountType'
        address:
          nullable: true
          description: >-
            Beneficiary bank address. The beneficiary's own address is taken
            from the identity.
          type: object
          allOf:
            - $ref: '#/components/schemas/PostalAddressEntity'
      required:
        - bankName
        - bankSlug
        - bankAccountNumberLast4
        - sortCode
        - ibanLast4
        - accountHolderName
        - bankAccountType
        - address
    BankAccountType:
      type: string
      enum:
        - Checking
        - Savings
    RecipientRelationship:
      type: string
      enum:
        - first party
        - employee
        - independent contractor
        - vendor or supplier
        - subsidiary or affiliate
        - merchant or partner
        - customer
        - landlord
        - family
        - other
    PostalAddressEntity:
      type: object
      properties:
        id:
          type: string
        street1:
          type: string
        street2:
          type: string
          nullable: true
        city:
          type: string
        state:
          type: string
          nullable: true
        country:
          allOf:
            - $ref: '#/components/schemas/CountryCode'
        postalCode:
          type: string
      required:
        - id
        - street1
        - street2
        - city
        - state
        - country
        - postalCode
    BankAccountNumberType:
      type: string
      enum:
        - CVU
        - CBU
        - ALIAS
    PaymentInstructionIdentifierType:
      type: string
      enum:
        - PhoneNumber
        - Email
        - CPF
        - EVP
        - CNPJ
    BankAccountOwnerType:
      type: string
      enum:
        - Personal
        - Business
    MobileMoneyProvider:
      type: string
      enum:
        - AIRTEL
        - BKTRX
        - FAWRY
        - CHECKOUT
        - CRDTRX
        - EXPRESSO
        - FLOOZ
        - FREE
        - HALOPESA
        - MOBICASH
        - MOOV
        - MPESA
        - MTN
        - MYZAKA
        - OPAY
        - ORANGE
        - TIGO
        - TMONEY
        - TNM
        - VODACOM
        - VODAFONE
        - WAVE
        - ZAMTEL
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````